%define		_hordeapp	forwards
#
%include	/usr/lib/rpm/macros.php
Summary:	forwards - user e-mail forwards module for Horde
Summary(pl.UTF-8):	forwards - moduł do ustawiania przekazywania poczty w Horde
Name:		horde-%{_hordeapp}
Version:	3.2.1
Release:	2
License:	ASL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/forwards/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	a5b7242332b6eb87cd15d69a10da09fc
Source1:	%{name}.conf
URL:		http://www.horde.org/forwards/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
Requires(post):	sed >= 4.0
Requires:	horde >= 3.0
Requires:	php(core) >= 4.1.0
Requires:	php(xml)
Requires:	webapps
Suggests:	php(ftp)
Suggests:	php(ldap)
Suggests:	php-pear-SOAP
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Forwards is a Horde module for setting user e-mail forwards with
support for several popular mailers.

Right now, Forwards provides fairly complete support for setting
.forward style forwards on Sendmail, Courier, or Qmail mail based
systems via an FTP transport. It now also has drivers for Mdaemon,
Exim SQL, Exim LDAP, Custom SQL, and SOAP based systems.

%description -l pl.UTF-8
Forwards to moduł Horde do ustawiania przekazywania poczty
elektronicznej z obsługą kilku popularnych systemów pocztowych.

Aktualnie Forwards obsługuje ustawianie przekazywania w stylu .forward
przy systemach pocztowych opartych na Sendmailu, Courierze i Qmailu
poprzez transport FTP. Ma także sterowniki dla systemów Mdaemon, Exim
SQL, Exim LDAP, Custom SQL i SOAP.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}

rm -f {,*/}.htaccess
# considered harmful (horde/docs/SECURITY)
rm -f test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} 	$RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

# take uids with < 500 and update refused logins in default conf.xml
USERLIST=$(awk -F: '{ if ($3 < 500) print $1 }' < /etc/passwd | xargs | tr ' ' ',')
if [ "$USERLIST" ]; then
	sed -i -e "
	# primitive xml parser ;)
	/configlist name=\"refused\"/s/>.*</>$USERLIST</
	" %{_sysconfdir}/conf.xml
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 6c0b23a
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> b45b812
- updated to: 3.2.1

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 0866adb
- 3.2

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> 7b9cf14
- rel 3
- sanitized R/S

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> 05ca51a
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> d47e911
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> a05d208
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 2fd7164
- removed unreadable tangle of macros and ugly hacks

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> 765a90f
- rel 2

* Thu Mar 15 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> bbbcebd
- updated to 3.0.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bcbd9fd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 768348a
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 1efb012
- virtual deps; rel 3

* Sun Oct 01 2006 Elan Ruusamäe <glen@pld-linux.org> 8175866
- rel 2

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> 71c8f3f
- update webapp triggers due apache1 package split

* Fri Apr 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 928bdec
- pl desc

* Fri Apr 07 2006 Jan Rękorajski <baggins@pld-linux.org> 76846c7
- release 1

* Thu Apr 06 2006 Jan Rękorajski <baggins@pld-linux.org> ea41af9
- initial revision

